#/bin/bash

export RPC_URL=http://127.0.0.1:8332
export RPC_USER=replace
export RPC_PASS=replace
SHELL_PATH=$(pwd -P)
export DEBUGGING="False"
####### This is the address of the central server for collecting logs. However, it is temporarily used as a plan to collect from Apache Kafka in the future.
export CENTRAL_MN_IP="127.0.0.1"
export CENTRAL_MN_PORT=19201

#Miners in server mode can use external CPU-ECM and CUDA-ECM using the following settings.
export MINER_MODE="SERVER" #Default SERVER  ["SERVER" "CLIENT"]
#export CPUECM_SERVER_IP="192.168.0.11 192.168.0.12 192.168.0.13"
#export CPUECM_SERVER_PORT="19301 19301 19301"
#export CUDAECM_SERVER_IP="127.0.0.1"
#export CUDAECM_MAX_LEVEL=4

#Miners in client (slave) mode must set the address of the master.
#export MINER_MODE="CLIENT"
#export CADO_SERVER_URL="http://192.168.0.12:24242"
#export CADO_CLIENT_BASE_PATH="/tmp"  #Default /tmp
#export MSG_SERVER_IP="192.168.0.12"
#export MSG_SERVER_PORT=29291
#export DUAL_MINING_CHECK_PROCESS="yafu yafu512 qli-Client qli-runner xmrig"

####### The level allowed value of the integer filtered by CUDA-ECM when the miner in server mode enters the first, second and next cado-nfs
export FIRST_ACCEPT_LEVEL=4 #Default 4
export SECOND_ACCEPT_LEVEL=4 #Default 4
export THIRD_ACCEPT_LEVEL=4 #Default 4

####### This is a setup for using Apache Kafka Broker.
#export MN_BROKER="127.0.0.1:9092"
#export FARM_GROUP="FARM"
#export MINER_GROUP="GRP01"
#export WORKER=$HOSTNAME


cd $SHELL_PATH
cd bin
cpu_cores=$(lscpu | grep '^CPU(s):' | awk '{print $2}')
echo "cpu core : $cpu_cores"
softSMTon=$(cat /sys/devices/system/cpu/smt/control)
echo "SMT on/off : $softSMTon"
if [ "$softSMTon" = "off" ]; then
  cpu_cores=$(( cpu_cores / 2 ))
fi
echo "thread : $cpu_cores"

while :
do
./miner $cpu_cores 0 ValidScriptPubKey
sleep 5
done
